MsWksDBParserInternal::FormType Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MsWksDBParserInternal::FormType Class Reference

a class used to store a form More...

## Public Member Functions
| FormType ()
| the constructor More...

## Public Attributes
int | m_fieldId
| the associated field More...
FormVisibility | m_visible
| the form visibility More...
MWAWFont | m_font
| the font More...
int | m_backColor
| the backgroun color More...
MWAWBox2f | m_bdbox [2]
| two bdbox one for content and field name More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, FormType const &form)
| operator<< More...

## Detailed Description

a class used to store a form

## Constructor & Destructor Documentation

## ◆ FormType()

MsWksDBParserInternal::FormType::FormType | ( |  | ) |
| inline

the constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | FormType const & | form
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_backColor

int MsWksDBParserInternal::FormType::m_backColor

the backgroun color

Referenced by MsWksDBParser::readFormTypes().

## ◆ m_bdbox

MWAWBox2f MsWksDBParserInternal::FormType::m_bdbox[2]

two bdbox one for content and field name

Referenced by MsWksDBParserInternal::operator<<(), MsWksDBParser::readFormTypes(), and MsWksDBParser::readFormV2().

## ◆ m_extra

std::string MsWksDBParserInternal::FormType::m_extra

extra data

Referenced by MsWksDBParserInternal::operator<<(), and MsWksDBParser::readFormV2().

## ◆ m_fieldId

int MsWksDBParserInternal::FormType::m_fieldId

the associated field

Referenced by MsWksDBParserInternal::operator<<(), MsWksDBParser::readFormTypes(), and MsWksDBParser::readFormV2().

## ◆ m_font

MWAWFont MsWksDBParserInternal::FormType::m_font

the font

Referenced by MsWksDBParser::readFormTypes().

## ◆ m_visible

FormVisibility MsWksDBParserInternal::FormType::m_visible

the form visibility

Referenced by MsWksDBParserInternal::operator<<(), MsWksDBParser::readFormTypes(), and MsWksDBParser::readFormV2().

The documentation for this class was generated from the following file:

- MsWksDBParser.cxx